# Uses of Class
org.springframework.web.servlet.HandlerExecutionChain

Packages that use HandlerExecutionChain
Package
Description
org.springframework.web.servlet
Provides servlets that integrate with the application context infrastructure, and the core interfaces and classes for the Spring web MVC framework.
org.springframework.web.servlet.handler
Provides standard HandlerMapping implementations, including abstract base classes for custom implementations.

## Uses of HandlerExecutionChain in org.springframework.web.servlet

Methods in org.springframework.web.servlet that return HandlerExecutionChain
Modifier and Type
Method
Description
`protected HandlerExecutionChain`
DispatcherServlet.`getHandler(HttpServletRequest request)`
Return the HandlerExecutionChain for this request.
`HandlerExecutionChain`
HandlerMapping.`getHandler(HttpServletRequest request)`
Return a handler and any interceptors for this request.

## Uses of HandlerExecutionChain in org.springframework.web.servlet.handler

Methods in org.springframework.web.servlet.handler that return HandlerExecutionChain
Modifier and Type
Method
Description
`protected HandlerExecutionChain`
AbstractHandlerMapping.`getCorsHandlerExecutionChain(HttpServletRequest request, HandlerExecutionChain chain, org.springframework.web.cors.CorsConfiguration config)`
Update `HandlerExecutionChain` for CORS requests, inserting an interceptor at the start of the chain to perform CORS checks, and also using a no-op handler for preflight requests.
`final HandlerExecutionChain`
AbstractHandlerMapping.`getHandler(HttpServletRequest request)`
Look up a handler for the given request, falling back to the default handler if no specific one is found.
`protected HandlerExecutionChain`
AbstractHandlerMapping.`getHandlerExecutionChain(Object handler, HttpServletRequest request)`
Build a `HandlerExecutionChain` for the given handler, including applicable interceptors.
Methods in org.springframework.web.servlet.handler with parameters of type HandlerExecutionChain
Modifier and Type
Method
Description
`protected HandlerExecutionChain`
AbstractHandlerMapping.`getCorsHandlerExecutionChain(HttpServletRequest request, HandlerExecutionChain chain, org.springframework.web.cors.CorsConfiguration config)`
Update `HandlerExecutionChain` for CORS requests, inserting an interceptor at the start of the chain to perform CORS checks, and also using a no-op handler for preflight requests.